Subject: Re: bug#11496: 24.1.50; Line numbers are not redrawn correctly in linum-mode

From: Stefan Monnier <[email-masked]>
Date: Fri, 18 May 2012 13:59:23 -0400

>> > A trivial bug: linum should run `linum-after-config' when the window
>> > configuration changes.
>> I was misguided.  While linum should update all windows when the window
>> configuration changes, it won't help in this specific case.
> It looks like some problem with redisplay, or maybe linum-mode is not
> forcing redisplay when it should.  In any case, similar problems exist
> in Emacs 23.3, so this is not exactly a regression.  I will try to
> take a closer look when I have time (it's tricky to debug this because
> any command that causes redisplay makes the problem disappear).  Ideas
> are welcome.

I wouldn't waste too much time on it: linum.el suffers from the same
kinds of problems as lazy-lock because it similarly combines several
"somewhat related" hooks to try and cover most cases.
I think that using jit-lock is a much better way to go about it since
that hook is much better focused, hence my nlinum.el rewrite.

        Stefan